> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/customs-catalog-api/fulfillment-api/api-methods/submit-advanced-shipping-notice-asn.md).

# Submit Advanced Shipping Notice (ASN)

Used by 3PLs or retailers to notify the system when an order is shipped. Includes package, carrier, and item-level details. If the request is accepted for processing, the <mark style="color:$success;">`202`</mark> - **Accepted** response is returned.

### JSON Schema

{% code expandable="true" %}

```json
{
  "shipmentId":        "string",              // 3PL's internal shipment ID
  "eswOrderReference": "string",              // ESW order reference
  "shipmentDateTime":  "2024-11-06T13:45:00Z", // carrier collection time
  "shipmentStatus":    "Shipped",             // Unshipped|PartiallyShipped|Shipped
  "shipFrom": {
    "name":         "string",               // FC human-readable name
    "locationCode": "string"                // FC identifier
  },
  "carrierId":        "string",               // e.g. "DHL", "FEDEX", "UPS"
  "packageReference": "string",               // Package API reference
  "carrierSCAC":      "string",               // 2–4 letter SCAC code
  "carrierReference": "string",               // TRACKING NUMBER — customer facing
  "packageWeight": {
    "weight":     1.42,
    "weightUnit": "KG"                        // KG | LB
  },
  "packageDimensions": {
    "length": 33, "width": 22, "height": 12,
    "dimensionUnit": "CM"                     // CM | IN
  },
  "items": [
    {
      "sku":              "string",
      "quantityOrdered": 1,                   // quantity on original order
      "quantityShipped": 1,                   // quantity dispatched in this shipment
      "unitOfMeasure":   "EA",
      "itemStatus":      "Shipped"            // only value currently: Shipped
    }
  ]
}
```

{% endcode %}

## Submit an Advanced Shipping Notice (ASN).

> Used by 3PLs or retailers to notify the system when an order is shipped. Includes package, carrier, and item-level details.

```json
{"openapi":"3.1.1","info":{"title":"Fulfillment","version":"1"},"servers":[{"url":"https://api.test.esw.com"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Please insert JWT with Bearer into field"}},"schemas":{"ValidationProblemDetails":{"type":"object","properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"type":{"type":"string"},"title":{"type":"string"},"status":{"format":"int32","type":"integer"},"detail":{"type":"string"},"instance":{"type":"string"}},"additionalProperties":{}},"AdvancedShippingNoticeRequest":{"type":"object","properties":{"shipmentId":{"type":"string"},"eswOrderReference":{"type":"string"},"shipmentDateTime":{"format":"date-time","type":"string"},"shipmentStatus":{"$ref":"#/components/schemas/ShipmentStatus"},"shipFrom":{"$ref":"#/components/schemas/ShipmentLocation"},"carrierId":{"type":"string"},"packageReference":{"type":"string"},"carrierSCAC":{"type":"string"},"carrierReference":{"type":"string"},"packageWeight":{"$ref":"#/components/schemas/PackageWeight"},"packageDimensions":{"$ref":"#/components/schemas/PackageDimensions"},"items":{"type":"array","items":{"$ref":"#/components/schemas/ShipmentItem"}}},"additionalProperties":false},"ShipmentStatus":{"enum":["Unshipped","PartiallyShipped","Shipped"],"type":"string"},"ShipmentLocation":{"type":"object","properties":{"name":{"type":"string"},"locationCode":{"type":"string"}},"additionalProperties":false},"PackageWeight":{"type":"object","properties":{"weight":{"format":"double","type":"number"},"weightUnit":{"$ref":"#/components/schemas/WeightUnit"}},"additionalProperties":false},"WeightUnit":{"enum":["KG","LB"],"type":"string"},"PackageDimensions":{"type":"object","properties":{"length":{"format":"double","type":"number"},"width":{"format":"double","type":"number"},"height":{"format":"double","type":"number"},"dimensionUnit":{"$ref":"#/components/schemas/DimensionUnit"}},"additionalProperties":false},"DimensionUnit":{"enum":["IN","CM"],"type":"string"},"ShipmentItem":{"type":"object","properties":{"sku":{"type":"string"},"quantityOrdered":{"format":"int32","type":"integer"},"quantityShipped":{"format":"int32","type":"integer"},"unitOfMeasure":{"type":"string"},"itemStatus":{"$ref":"#/components/schemas/ItemStatus"}},"additionalProperties":false},"ItemStatus":{"enum":["Shipped"],"type":"string"}}},"paths":{"/v1/PickPack/AdvancedShippingNotice":{"post":{"tags":["ASN"],"summary":"Submit an Advanced Shipping Notice (ASN).","description":"Used by 3PLs or retailers to notify the system when an order is shipped. Includes package, carrier, and item-level details.","responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Internal Server Error"}},"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AdvancedShippingNoticeRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/AdvancedShippingNoticeRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/AdvancedShippingNoticeRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AdvancedShippingNoticeRequest"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/customs-catalog-api/fulfillment-api/api-methods/submit-advanced-shipping-notice-asn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
